petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatPartitioning

Object for managing the partitioning of a matrix or graph

### Synopsis

    typedef struct _p_MatPartitioning* MatPartitioning;

### Notes

There is also a PetscPartitioner object that provides the same functionality. It can utilize the MatPartitioning operations via PetscPartitionerSetType(p,PETSCPARTITIONERMATPARTITIONING)

### Developers Note

It is an extra maintainance and documentation cost to have two objects with the same functionality.

### See Also

MatPartitioningCreate(), MatPartitioningType, MatColoring, MatGetOrdering()

### Level

beginner

### Location

src/mat/../../include/petscmat.h

### Implementations

_p_MatPartitioning in include/petsc/private/matimpl.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages